Package generic.theme.laf

# Class MotifLookAndFeelManager

java.lang.Object
generic.theme.laf.LookAndFeelManager
generic.theme.laf.MotifLookAndFeelManager

public class MotifLookAndFeelManager extends LookAndFeelManager
Motif `LookAndFeelManager`. Specialized so that it can return the Motif installer

- ## Field Summary

  ### Fields inherited from class generic.theme.laf.LookAndFeelManager

  `normalizedIdToLafIdMap, themeManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MotifLookAndFeelManager(ApplicationThemeManager themeManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected UiDefaultsMapper`
  `createUiDefaultsMapper(UIDefaults defaults)`
  `protected void`
  `fixupLookAndFeelIssues()`
  Subclass may override this method to do specific LookAndFeel fixes.

  ### Methods inherited from class generic.theme.laf.LookAndFeelManager

  `colorsChanged, doInstallLookAndFeel, findLookAndFeelClassName, fontsChanged, getLookAndFeelIdsForType, getLookAndFeelType, iconsChanged, installCursorBlinkingProperties, installLookAndFeel, isSupported, processJavaDefaults, registerFont, registerFont, repaintAll, resetAll, setKeyBinding, unRegisterFont, updateAllRegisteredComponentFonts, updateComponentUis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MotifLookAndFeelManager

    public MotifLookAndFeelManager(ApplicationThemeManager themeManager)

- ## Method Details

  - ### createUiDefaultsMapper

    protected UiDefaultsMapper createUiDefaultsMapper(UIDefaults defaults)
    Specified by:
      `createUiDefaultsMapper` in class `LookAndFeelManager`

  - ### fixupLookAndFeelIssues

    protected void fixupLookAndFeelIssues()
    Description copied from class: `LookAndFeelManager`
    Subclass may override this method to do specific LookAndFeel fixes.

    This will get called after default values are loaded. This means that any values installed by this method will overwrite any values registered by the theme.

    Standard properties, such as strings and booleans, can be set inside of the theme properties files. For more complicated UIManager properties, look and feel classes will need to override this method and install those directly.

    Any property installed here will not fully be part of the theme system, but rather will be directly installed into the Java Look and Feel. Thus, properties installed here will be hard-coded overrides for the system. If we decided that a hard-coded value should be put into the theme system, then we will need to add support for that property type so that it can be used when loading the theme files.

    Overrides:
      `fixupLookAndFeelIssues` in class `LookAndFeelManager`